Accounts & Transactions
READ Scope
Retrieves the list of all available bank and cash accounts
API Key Authentication
OK
GET /v1/accounts HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"success": true,
"errors": [
"text"
],
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"iban": "text",
"integrationType": "text",
"currency": "text",
"type": "text",
"openingBalance": 1,
"currentBalance": 1
}
]
}Retrieves an account by its unique ID
API Key Authentication
OK
GET /v1/accounts/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"iban": "text",
"integrationType": "text",
"currency": "text",
"type": "text",
"openingBalance": 1,
"currentBalance": 1
}
}Retrieves the list of transactions in all accounts bank and cash accounts
API Key Authentication
OK
GET /v1/transactions HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"success": true,
"errors": [
"text"
],
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"accountName": "text",
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"amount": 1,
"currency": "text",
"transactionType": "text",
"matchedEntity": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text"
},
"matchedIncomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceId": "text",
"matchedAmount": 1
}
],
"matchedExpenses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"expenseId": "text",
"matchedAmount": 1
}
]
}
]
}Retrieves a single transaction by its unique ID
API Key Authentication
OK
GET /v1/transactions/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"accountName": "text",
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"amount": 1,
"currency": "text",
"transactionType": "text",
"matchedEntity": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text"
},
"matchedIncomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
],
"matchedExpenses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"expenseId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
]
}
}WRITE Scope
Creates a new bank or cash account. Accounts created with this endpoint are manually tracked bank accounts. To integrate your existing bank account into Nuvio, please contact with support team.
API Key Authentication
Account name
IBAN of this bank account.
3-letter currency code for the account. You can find available currencies here.
Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. eg. 1059.34
OK
POST /v1/accounts HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"name": "text",
"iban": "text",
"currency": "text",
"openingBalance": 1
}OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"iban": "text",
"integrationType": "text",
"currency": "text",
"type": "text",
"openingBalance": 1,
"currentBalance": 1
}
}Adds a new transaction into an existing account.
API Key Authentication
32-character unique ID of the account that the transaction belongs.
Description of the transaction
Epoch timestamp for the transaction date and time. If you don't know the timestamp, you can also provice transactionDate. If both of the fields are provided, transactionTimestamp will be used.
Datetime with timezone for the transaction date and time. You can also provide transactionTimestamp. If both of the fields are provided, transactionTimestamp will be used.
Type of the transaction. If it is an incoming money, use Money In; if it is an outgoing money, use Money Out
32-character unique ID of the customer or supplier of the transaction's sender or receiver. If you don't know the ID, you can also provide mathcingEntityCode instead of this field. If both of them are provided, matchingEntityId will be used only.
User-generated custom customer or supplier code of the transaction's sender or receiver.
Amount of the transaction. It should be a positive decimal number. eg. 1059.34
OK
POST /v1/transactions HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 245
{
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"transactionType": "text",
"mathcingEntityId": "123e4567-e89b-12d3-a456-426614174000",
"mathcingEntityCode": "text",
"amount": 1
}OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"accountName": "text",
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"amount": 1,
"currency": "text",
"transactionType": "text",
"matchedEntity": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text"
},
"matchedIncomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
],
"matchedExpenses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"expenseId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
]
}
}UPDATE Scope
Updates an existing bank or cash account.
API Key Authentication
Account name
IBAN of this bank account.
3-letter currency code for the account. You can find available currencies here.
Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. eg. 1059.34
OK
PUT /v1/accounts/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"name": "text",
"iban": "text",
"currency": "text",
"openingBalance": 1
}OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"iban": "text",
"integrationType": "text",
"currency": "text",
"type": "text",
"openingBalance": 1,
"currentBalance": 1
}
}Updates an existing transaction.
API Key Authentication
Description of the transaction
Epoch timestamp for the transaction date and time. If you don't know the timestamp, you can also provice transactionDate. If both of the fields are provided, transactionTimestamp will be used.
Datetime with timezone for the transaction date and time. You can also provide transactionTimestamp. If both of the fields are provided, transactionTimestamp will be used.
Type of the transaction. If it is an incoming money, use Money In; if it is an outgoing money, use Money Out
32-character unique ID of the customer or supplier of the transaction's sender or receiver. If you don't know the ID, you can also provide mathcingEntityCode instead of this field. If both of them are provided, matchingEntityId will be used only.
User-generated custom customer or supplier code of the transaction's sender or receiver.
Amount of the transaction. It should be a positive decimal number. eg. 1059.34
OK
PUT /v1/transactions/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 194
{
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"transactionType": "text",
"mathcingEntityId": "123e4567-e89b-12d3-a456-426614174000",
"mathcingEntityCode": "text",
"amount": 1
}OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"accountName": "text",
"description": "text",
"transactionTimestamp": 1,
"transactionDate": "text",
"amount": 1,
"currency": "text",
"transactionType": "text",
"matchedEntity": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text"
},
"matchedIncomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
],
"matchedExpenses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"expenseId": "123e4567-e89b-12d3-a456-426614174000",
"matchedAmount": 1
}
]
}
}Last updated
Was this helpful?